petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsHead

Puts a heading before listing any more published options. Used, for example, in KSPSetFromOptions_GMRES().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsHead(PetscOptionItems *PetscOptionsObject,const char head[])

Logically Collective on the communicator passed in PetscOptionsBegin() Many br

### Input Parameter

head -the heading text Many br

Many br

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

Can be followed by a call to PetscOptionsTail() in the same function. Many br

### See Also

PetscOptionsGetInt(NULL,), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:intermediate
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html